@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

* {
    font-family: 'Poppins', sans-serif;
}

/* Reset css start */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    text-decoration: none;
    border: none;
    outline: none;
    scroll-behavior: smooth;
}

:root {
    --bg-color: #0D0D0D;
    --second-bg-color: #1A1A1A;

    --text-color: #FFFFFF;
    --text-secondary: #E0E0E0;

    --main-color: #FF8A00;
    --main-color-hover: #FF6D00;

}

html {
    font-size: 60%;
    overflow-x: hidden;
}

body {
    background-color: var(--bg-color);
    color: var(--text-color);
}

span {
    color: var(--main-color)
}

section {
    min-height: 100vh;
    padding: 10rem 12% 10rem;

}

/* reset css end */

/* Header css baslangıc */
.header {
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    padding: 4rem 12% 4rem;
    background-color: rgba(0, 0, 0, 0, 3);
    backdrop-filter: blur(10px);
    display: flex;
    justify-content: space-between;
    align-items: center;
    z-index: 5;

}

.logo {
    font-size: 3rem;
    color: var(--text-color);
    font-weight: 800;
    cursor: pointer;
    transition: 0.3s ease-in-out;
}

.logo:hover {
    transform: scale(1.1);
}

.logo span {
    text-shadow: 0 0 25px var(--main-color);

}

.navbar a {
    font-size: 1.8rem;
    color: var(--text-color);
    margin-left: 4rem;
    font-weight: 500;
    transition: 0.3s ease;
    border-bottom: 3px solid transparent;
}

.navbar a:hover,
.navbar a:active {
    color: var(--main-color);
    border-bottom: 3px solid var(--main-color);
}

#menu-icon {
    font-size: 3.6rem;
    color: var(--main-color);
    display: none;
}

/* Header css son */
/* home start */
.home {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 15rem;
}

.home-content {
    display: flex;
    flex-direction: column;
    align-items: baseline;
    justify-content: center;
    margin-top: 3rem;
}

.home-content h1 {
    font-size: 6rem;
    font-weight: 700;
    margin-top: 1.5rem;
    line-height: 1.2;
}

.home-content h3 {
    font-size: 3.5rem;
    margin-bottom: 2rem;
    margin-top: 1rem;
}

.home-img {

    border-radius: 50%;
    /* Artık tam bir daire */

}

.home-img img {
    width: 30vw;
    position: relative;
    top: 3rem;
    border-radius: 50%;
    box-shadow: 0 0 25px var(--main-color);
    cursor: pointer;
    transition: 0.4s ease-in-out;

}

.home-img img:hover {
    box-shadow: 0 0 25px var(--main-color);
}

.profile-icon {
    width: 25vw;
    max-width: 200px;
    fill: var(--main-color);
    border-radius: 50%;
    box-shadow: 0 0 25px var(--main-color), 0 0 50px var(--main-color), 0 0 100px var(--main-color);
    transition: 0.4s ease;
}

.profile-icon:hover {
    transform: scale(1.1);
}

.home-content p {
    font-size: 1.5rem;
    font-weight: 500;
    line-height: 1.8;
    max-width: 1000px;
}

.social-icons a {
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 4.5rem;
    height: 4.5rem;
    background-color: transparent;
    border: 2px solid var(--main-color);
    font-size: 2.5rem;
    border-radius: 50%;
    color: var(--main-color);
    margin: 3rem 1.5rem 3rem 0;
    transition: 300ms ease-in-out;

}

.social-icons a:hover {
    color: var(--text-color);
    transform: scale(1.3) translateY(-5px);
    box-shadow: 0 0 25px var(--main-color);
    background-color: var(--main-color);
}

.btn {
    display: inline-block;
    padding: 1rem 2.8rem;
    background-color: var(--main-color);
    box-shadow: 0 0 25px var(--main-color);
    border-radius: 4rem;
    font-size: 1.6rem;
    color: black;
    border: 2px solid transparent;
    letter-spacing: 0.1rem;
    font-weight: 600;
    cursor: pointer;
    transition: 300ms ease-in-out;
}

.btn:hover {
    transform: scale(1.05);
    box-shadow: 0 0 50px var(--main-color);

}

.btn-group {
    display: flex;
    align-items: center;
    gap: 1.5rem;
}

.text-animation {
    font-size: 34px;
    font-weight: 600;
    min-width: 280px;
}

.text-animation span {
    position: relative;
    color: var(--main-color);
}

/* Yazı değişimi */
.text-animation span::before {
    content: "Bilgisayar Mühendisliği Öğrencisiyim";
    animation: words 20s infinite;
}

/* Cursor */
.text-animation span::after {
    content: "";
    position: absolute;
    right: -8px;
    top: 0;
    height: 100%;
    width: calc(100% + 8px);
    background-color: var(--bg-color);
    border-left: 3px solid var(--main-color);

    animation: typing 20s steps(30) infinite,
        cursor 0.6s infinite;
}

@keyframes cursor {
    50% {
        border-color: transparent;
    }
}

@keyframes words {

    0%,
    33% {
        content: "Bilgisayar Mühendisliği Öğrencisiyim";
    }

    34%,
    66% {
        content: "AWS Bulut Uygulayıcısıyım";
    }

    67%,
    100% {
        content: "Docker Meraklısıyım";
    }
}

@keyframes typing {

    0%,
    10%,
    30%,
    50%,
    70%,
    90% {
        width: 0;
    }

    20%,
    40%,
    60%,
    80%,
    100% {
        width: 100%;
    }
}

/* home end */
/* education start */
.heading {
    font-size: 7rem;
    text-align: center;
    margin: 5rem auto;
}

.education {
    background-color: var(--second-bg-color);
    padding: 100px 15px;
}

.timeline-items {
    max-width: 1200px;
    margin: auto;
    display: flex;
    flex-wrap: wrap;
    position: relative;
}

.timeline-items::before {
    content: "";
    position: absolute;
    width: 5px;
    height: 100%;
    background-color: var(--main-color);
    left: 50%;
    top: 150px;

}

.timeline-item {
    margin-bottom: 40px;
    width: 100%;
    position: relative;
}

.timeline-item:last-child {
    margin-bottom: 0;
}

.timeline-item:nth-child(odd) {

    padding-right: calc(50% + 30px)
}

.timeline-item:nth-child(even) {

    padding-left: calc(50% + 30px);

}

.timeline-dot {
    height: 21px;
    width: 21px;
    background-color: var(--main-color);
    box-shadow: 0 0 25px var(--main-color), 0 0 50px var(--main-color);
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    border-radius: 50%;
    top: 10px;

}

.timeline-date {
    font-size: 20px;
    font-weight: 800;
    color: var(--text-color);
    margin: 6px 0 15px;
}

.timeline-content {
    background-color: var(--bg-color);
    padding: 30px 50px;
    border-radius: 4rem;
    box-shadow: 0 0 10px var(--main-color);
    cursor: pointer;
    transition: 0.3s ease-in-out;
}

.timeline-content:hover {
    box-shadow: 0 0 25px var(--main-color);
    transform: scale(1.05);
}

.timeline-content h3 {
    font-size: 20px;
    color: var(--text-color);
    margin: 0 0 10px;
    font-weight: 500;
}

.timeline-content p {
    font-size: 16px;
    color: var(--text-color);
    line-height: 22px;
    font-weight: 300;
}

::-webkit-scrollbar {
    width: 15px;
}

::-webkit-scrollbar-thumb {
    background-color: var(--main-color);
    border-radius: 4rem;
}

::-webkit-scrollbar-track {
    background-color: var(--bg-color);
    width: 50px;
}

/* education and */


/* Hizmetler baslangic */

.services {
    background-color: var(--bg-color);
    color: var(--text-color)
}

.services h2 {
    color: var(--text-color);
    margin-bottom: 5rem;
}

.services-container {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    align-items: center;
    gap: 2.5rem;
}

.service-box {
    background-color: var(--main-color);
    height: 300px;
    border-radius: 3rem;
    border: 5px solid transparent;
    cursor: pointer;
    transition: 0.4s ease-in-out;
}

.service-box:hover {
    background-color: var(--text-color);
    color: #0D0D0D;
    border: 5px solid var(--main-color);
    transform: scale(1.03);
}

.service-box .service-info {
    display: flex;
    flex-direction: column;
    text-align: left;
    max-height: 200px;
    align-items: baseline;
    padding: 3rem 4rem;
}

.service-info h4 {
    font-size: 2.5rem;
    font-weight: 250;
    line-height: 2;
}

.service-info p {
    font-size: 1.6rem;
    font-weight: 500;
    max-height: 100px;
    line-height: 1.7;
    margin: auto;
}

/* Hizmetler end */

/* geri donusler baslangıc */

.testimonials {
    background-color: var(--second-bg-color);
}

.testimonials-box {
    background-size: cover;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}

.testimonials-box img {
    width: 15rem;
    border-radius: 50%;
    border: 3px solid var(--main-color);
    box-shadow: 0 0 25px var(--main-color);
}


.wrapper {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 3rem;
}

.testimonials-item {
    min-height: 550px;
    max-width: 450px;

    background-color: rgba(0, 0, 0, 0.7);
    border: 3px solid rgba(238, 238, 238, 0.2);
    border-radius: 2rem;
    margin: 0 2rem;
    padding: 30px 60px;
    cursor: pointer;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    color: var(--text-color);
    gap: 1.5rem;
    transition: 0.4s ease-in-out;
}

.testimonials-item:hover {
    border: 3px solid var(--main-color);
    box-shadow: 0 0 50px var(--main-color);

}

.testimonials-item h2 {
    font-size: 2.8rem;

}

.testimonials-item p {
    font-size: 1.3rem;
}

.bx-sparkles {
    color: gold;
    font-size: 2rem;
}

/* geri donusler bitis */
/* contact start */
.contact {
    background-color: var(--bg-color);

}

.contact form {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 3rem;
    margin: 5rem auto;
    text-align: center;

}

.contact form .input-box {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
}

.contact form .input-box input,
.contact form textarea {
    width: 100%;
    padding: 2.5rem;
    font-size: 1.8rem;
    color: var(--text-color);
    background-color: var(--second-bg-color);
    border-radius: 2rem;
    border: 2px solid var(--main-color);
    margin: 1.5rem 0;
    resize: none;
}

input[type="number"]::-webkit-outer-spin-button,
input[type="number"]::-webkit-inner-spin-button {
    -webkit-appearance: none;
    /* Noktayı kaldırdık */
    margin: 0;

}

input[type="number"] {
    -moz-appearance: textfield;
}

/* FOOTER START */
.footer {
    position: relative;
    bottom: 0;
    width: 100%;
    padding: 40px 0;
    background-color: var(--second-bg-color);
}

.footer .social {
    text-align: center;
    padding-bottom: 25px;
    color: var(--main-color);
}

.footer .social a {
    font-size: 25px;
    color: var(--main-color);
    border: 2px solid var(--main-color);
    width: 42px;
    height: 42px;
    line-height: 42px;
    display: inline-block;
    text-align: center;
    border-radius: 50%;
    margin: 0 10px;
    transition: 0.3s ease-in-out;
}

.footer .social a:hover {
    transform: scale(1.2) translateY(-10px);
    background-color: var(--main-color);
    color: black;
    box-shadow: 0 0 25px var(--main-color);
}

.footer ul {
    margin-top: 0;
    padding: 0;
    font-size: 18px;
    line-height: 1.6;
    margin-bottom: 0;
    text-align: center;
}

.footer ul li a {
    color: #fff;
    border-bottom: 3px solid transparent;
    transition: 0.3s ease-in-out;
}

.footer ul li a:hover {
    border-bottom: 3px solid var(--main-color);
    color: var(--main-color);
}

.footer ul li {
    display: inline-block;
    padding: 0 15px;
}

.footer .copyright {
    margin-top: 50px;
    text-align: center;
    color: #fff;
    font-size: 16px;
}

/* FOOTER END */

/* MEDIA QUERIES START */
@media (max-width: 1285px) {
    html {
        font-size: 55%;
    }

    .services-container {
        padding-bottom: 7rem;
        grid-template-columns: repeat(2, 1fr);
        margin: 0 5rem;
    }
}

@media (max-width: 991px) {
    header {
        padding: 2rem 3%;
    }

    section {
        padding: 10rem 3% 2rem;
    }

    .timeline-items::before {
        left: 7px;
    }

    .timeline-item:nth-child(odd) {
        padding-right: 0;
        text-align: left;
    }

    .timeline-item:nth-child(odd),
    .timeline-item:nth-child(even) {
        padding-left: 37px;
    }

    .timeline-dot {
        left: 0;
    }

    .services {
        padding-bottom: 7rem;
    }

    .testimonials .wrapper {
        grid-template-columns: repeat(1, 1fr);
    }

    .contact form {
        flex-direction: column;
    }

    .footer {
        padding: 2rem 3%;
    }
}

@media (max-width: 895px) {
    #menu-icon {
        display: block;
        cursor: pointer;
    }

    .navbar {
        position: absolute;
        top: 100%;
        right: 0;
        display: none;
        width: 50%;
        padding: 1rem 3%;
        background-color: rgba(0, 0, 0, 0.8);
        backdrop-filter: blur(20px);
        border-bottom-left-radius: 2rem;
        border-left: 2px solid var(--main-color);
        border-bottom: 2px solid var(--main-color);
    }

    .navbar a {
        display: block;
        font-size: 2rem;
        margin: 3rem 0;
        color: #fff;
    }

    .navbar.active {
        display: block;
    }

    .home {
        flex-direction: column-reverse;
        margin: 5rem 4rem;
    }

    .home-content h3 {
        font-size: 2.6rem;
    }

    .home-content h1 {
        font-size: 8rem;
        margin-top: 3rem;
    }

    .home-content p {
        max-width: 600px;
    }

    .home-img img {
        width: 56vw;
    }

    .services h2 {
        margin-bottom: 3rem;
    }

    .services-container {
        grid-template-columns: repeat(1, 1fr);
    }
}

@media (max-width: 575px) {
    .header a {
        font-size: 2.2rem;
    }

    .home {
        gap: 5rem;
        width: 100%;
        margin: 0;
    }

    .home-content h1 {
        font-size: 5rem;
        margin-bottom: 5rem;
    }

    .home-content h3 {
        font-size: 3.5rem;
    }

    .text-animation span {
        display: block;
        font-size: 2.8rem;
        margin-bottom: 2.5rem;
    }

    .text-animation span::after {
        content: "";
        background-color: var(--bg-color);
        width: calc(100% + 8px);
        height: 100%;
        position: absolute;
        border-left: 3px solid var(--bg-color);
        right: -8px;
        animation: cursor 0.6s infinite, typing 20s steps(14) infinite;
    }

    .home-content p {
        font-size: 2rem;
    }

    .home-content .social-icons,
    .btn-group {
        margin: 0 auto;
    }

    .home-content .social-icons a {
        width: 6rem;
        height: 6rem;
    }

    .home-content .btn-group .btn {
        font-size: 2rem;
    }

    .education {
        width: 100%;
    }

    .education h2 {
        font-size: 6rem;
    }

    h2.heading {
        font-size: 4.5rem !important;
    }

    .services-container {
        margin: 0;
    }

    .service-info {
        padding: 0rem 2rem;
    }

    .service-info h4 {
        line-height: 1;
        margin-bottom: 14px;
    }

    .service-info p {
        font-size: 1.7rem;
        line-height: 1;
    }

    .testimonial-item:nth-child(2) {
        border: none;
        box-shadow: none;
        transform: scale(1);
        animation: none;

        min-height: 550px;
        max-width: 450px;
        background-color: rgba(0, 0, 0, 0.7);
        border: 3px solid rgba(238, 238, 238, 0.2);
        border-radius: 2rem;
        margin: 0 2rem;
        padding: 30px 60px;
        cursor: pointer;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        text-align: center;
        gap: 1.5rem;
        color: #fff;
        transition: 0.4s ease-in-out;
    }

    .testimonial-item:hover {
        border: 3px solid var(--main-color);
        box-shadow: 0 0 50px var(--main-color);
    }
}

@media screen and (min-width: 769px) and (max-width: 1024px) {
    .navbar a {
        font-size: 1.5rem;
    }

    .home-content h1 {
        font-size: 5rem;
    }

    .home-content p {
        font-size: 1.8rem;
        margin: 0;
    }

    .home-content h3 {
        font-size: 2.4rem;
    }

    .services-container {
        margin: 0;
    }

    .service-info {
        padding: 0rem 2rem;
    }

    .service-info h4 {
        line-height: 1;
        margin-bottom: 14px;
    }

    .service-info p {
        font-size: 1.8rem;
        line-height: 1;
    }
}

@media screen and (min-width: 1025px) {
    .home-content h1 {
        font-size: 5rem;
    }

    .home-content p {
        font-size: 1.8rem;
        margin: 0;
    }

    .home-content h3 {
        font-size: 2.5rem;
    }
}

/* MEDIA QUERIES END */

/*574,
 575 - 767,
  768 - 991,
   992 - 1023,
    1024 - 1199,
     1200 */

     
.accessibility-mode {
    --bg-color: #ffffff;
    --second-bg-color: #f0f0f0;

    --text-color: #000000;
    --text-secondary: #222222;

    --main-color: #0055ff;
    --main-color-hover: #003bb5;
}

#feedback-message{
    text-align: center;
    color: var(--main-color);
    font-size: 2rem;
    margin-top: 2rem;
    display: none;
}